.TH "/home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/vendor-xml.c" 3 "28 Jul 2005" "discover" \" -*- nroff -*-
.ad l
.nh
.SH NAME
/home/pere/src/debiancvs/pkg-discover/discover/trunk/lib/vendor-xml.c \- Vendor XML data file parsing. 
.SH SYNOPSIS
.br
.PP
\fC#include 'config.h'\fP
.br
\fC#include <sys/types.h>\fP
.br
\fC#include <assert.h>\fP
.br
\fC#include <limits.h>\fP
.br
\fC#include <stdio.h>\fP
.br
\fC#include <string.h>\fP
.br
\fC#include <expat.h>\fP
.br
\fC#include <discover/discover.h>\fP
.br
\fC#include <discover/discover-xml.h>\fP
.br
\fC#include <discover/load-url.h>\fP
.br
\fC#include <discover/utils.h>\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "void \fBdiscover_xml_merge_vendor_url\fP (\fBdiscover_xml_vendor_t\fP **vlist, char *url, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "\fBdiscover_xml_vendor_t\fP * \fBdiscover_xml_get_vendors\fP (\fBdiscover_bus_t\fP bus, \fBdiscover_error_t\fP *status)"
.br
.ti -1c
.RI "void \fBdiscover_xml_free_vendors\fP (void)"
.br
.ti -1c
.RI "char * \fBdiscover_xml_vendor_id2name\fP (\fBdiscover_xml_vendor_t\fP *vendors, char *id)"
.br
.ti -1c
.RI "char * \fBdiscover_xml_vendor_get_id\fP (\fBdiscover_xml_vendor_t\fP *vendor)"
.br
.ti -1c
.RI "char * \fBdiscover_xml_vendor_get_name\fP (\fBdiscover_xml_vendor_t\fP *vendor)"
.br
.ti -1c
.RI "\fBdiscover_xml_vendor_t\fP * \fBdiscover_xml_vendor_get_next\fP (\fBdiscover_xml_vendor_t\fP *vendor)"
.br
.ti -1c
.RI "\fBdiscover_xml_vendor_t\fP * \fBdiscover_xml_vendor_new\fP (void)"
.br
.ti -1c
.RI "void \fBdiscover_xml_vendor_free\fP (\fBdiscover_xml_vendor_t\fP *vendors)"
.br
.in -1c
.SH "Detailed Description"
.PP 
Vendor XML data file parsing. 

This file contains the routines needed to properly process the vendor XML data. This file is responsible for handling URLs and storing the XML data during the parsing process. 
.PP
Definition in file \fBvendor-xml.c\fP.
.SH "Author"
.PP 
Generated automatically by Doxygen for discover from the source code.
